Bug 128797 - one shortcut for two functions should be reconsidered
Summary: one shortcut for two functions should be reconsidered
Status: CLOSED FIXED
Alias: None
Product: kspaceduel
Classification: Unclassified
Component: general (show other bugs)
Version: 1.1
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andreas Zehender
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-07 23:08 UTC by Frederik Schwarzer
Modified: 2007-02-19 00:55 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frederik Schwarzer 2006-06-07 23:08:50 UTC
Version:           1.1 (using KDE KDE 3.5.3)
Installed from:    Debian testing/unstable Packages
OS:                Linux

There is one shortcut (Ctrl+N) bound to two function ("New game" and "New round").
A little Menu appears where to choose the wanted function.
Maybe a little bit to much for a shortcut.
Comment 1 Albert Astals Cid 2006-12-12 19:31:18 UTC
SVN commit 612829 by aacid:

Fix two shortcuts using Ctrl+N, new round is Ctrl+R now
BUGS: 128797


 M  +1 -1      topwidget.cpp  


--- branches/KDE/3.5/kdegames/kspaceduel/topwidget.cpp #612828:612829
@@ -65,7 +65,7 @@
    KStdGameAction::quit(this, SLOT(close()), actionCollection());
    KStdGameAction::gameNew(playfield, SLOT(newGame()), actionCollection());
    ( void )new KAction( i18n( "&New Round" ), "spnewround",
-                        CTRL + Key_N, playfield, SLOT( newRound( ) ),
+                        CTRL + Key_R, playfield, SLOT( newRound( ) ),
                         actionCollection( ), "new_round" );
    MyMainView::pauseAction =
        KStdGameAction::pause(playfield, SLOT(togglePause()), actionCollection());